import 'package:example/src/ui/home/home_page.dart';
import 'package:floative/floative_flutter.dart';
import 'package:flutter/material.dart';
import 'package:flutter/scheduler.dart';

class SplashScreen extends StatefulWidget {
  @override
  _SplashScreenState createState() => _SplashScreenState();
}

class _SplashScreenState extends State<SplashScreen> {
  @override
  void initState() {
    super.initState();

    SchedulerBinding.instance.addPostFrameCallback((_) {
      _init();
    });
  }

  Future<void> _init() async {
    await Future.delayed(const Duration(seconds: 2), () {
      Ship.I.replace(page: HomePage());
    });
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Color(0xffE04E68),
      body: Center(
        child: Container(
          child: Text("Floative SplashScreen"),
        ),
      ),
    );
  }
}
