import 'package:floative/floative_flutter.dart';
import 'package:flutter_test/flutter_test.dart';

void main() {
  Foo foo;
  setUpAll(() {
    Floative.I.currentFlavor = Flavor.development;
    foo = Foo();
  });

  test("Test the info log feature", () {
    Logger.info("Current value: ${foo.value}");
  });

  test("Test the error log feature", () {
    try {
      throw Exception("test exception");
    } catch (e) {
      Logger.error(where: "LoggerTest", function: "testError", exception: e);
    }
  });
}

class Foo {
  final int value = 0;
}
